## binutils 2.32

=== debian/changelog ===
binutils (2.32-7ubuntu4) disco; urgency=medium

  * Build ppc64el packages on arm64.
  * Build s390x packages on arm64 and ppc64el.
  * Build riscv64 packages on arm64 and ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Apr 2019 03:41:01 +0200

binutils (2.32-7ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build the powerpcspe package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Mar 2019 16:27:58 +0100

binutils (2.32-7) experimental; urgency=medium

  * Snapshot, taken from the 2.32 branch (20190321).
    - Fix PR ld/24355, segfault in function called from ppc_finish_symbols.
  * Demote binutils-<target> from Multi-Arch: foreign to Multi-Arch: allowed
    (Helmut Grohne). Closes: #920286.
  * Let binutils-for-host Depends: binutils-<host>:any.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Mar 2019 16:23:32 +0100

binutils (2.32-6ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build the powerpcspe package.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Mar 2019 16:31:09 +0100

binutils (2.32-6) experimental; urgency=medium

  * Snapshot, taken from the 2.32 branch (20190313).
    - S/390: arch13 instruction descriptions.
  * Fix VCS attributes in the control file. Closes: #915982.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Mar 2019 16:12:45 +0100

binutils (2.32-5ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Mar 2019 11:19:48 +0100

binutils (2.32-5) experimental; urgency=medium

  * Snapshot, taken from the 2.32 branch (20190213).
    - S390: Revert "Add support to GNU ld to separate got related plt entries".
  * binutils-source: Redact the build directory out of the tarball paths.
    (Andrej Shadura). Closes: #920797.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Mar 2019 11:11:50 +0100

binutils (2.32-4ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2019 22:38:57 +0100

binutils (2.32-4) experimental; urgency=medium

  * Remove mips64 build/check dependency.
  * Fix PR binutils/23843, taken from the trunk.
  * Fix PR ld/24276, taken from the trunk. Addresses: #923246.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Feb 2019 22:34:34 +0100

binutils (2.32-3ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Feb 2019 10:52:06 +0100

binutils (2.32-3) experimental; urgency=medium

  * Snapshot, taken from the 2.32 branch (20190213).
    - Fix PR ld/24151, PR gas/24165.
  * Stop building cross packages now built by binutils-mipsen.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Feb 2019 10:47:43 +0100

binutils (2.32-2) experimental; urgency=medium

  * Snapshot, taken from the 2.32 branch (20190208).
    - Make inline plt reloc "unsupported for bss-plt" an error (ppc32).
    - Arm: Backport hlt to all architectures.
    - SPARC: fix PR ld/18841 (ld test failures).
    - Visium: fix bogus overflow check on 32-bit hosts.
    - Visium: align branch absolute instruction for the GR6.
  * Stop building packages for powerpcspe.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Feb 2019 13:12:21 +0100

binutils (2.32-1ubuntu4) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Feb 2019 08:56:08 +0100

binutils (2.32-1) experimental; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Feb 2019 10:34:56 +0100

binutils (2.31.90.20190119-1) experimental; urgency=medium

  * Snapshot, taken from the binutils 2.32 branch (20190119).

 -- Matthias Klose <doko@debian.org>  Sat, 19 Jan 2019 18:30:02 +0100

binutils (2.31.51.20181204-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20181204).

 -- Matthias Klose <doko@debian.org>  Tue, 04 Dec 2018 11:20:13 +0100

binutils (2.31.51.20181022-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20181022).
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Oct 2018 12:08:04 +0200

binutils (2.31.1-11ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Dec 2018 20:31:23 +0100

binutils (2.31.1-10ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Nov 2018 13:58:33 +0100

binutils (2.31.1-9ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 Nov 2018 14:31:00 +0100

binutils (2.31.1-8ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Nov 2018 09:06:54 +0100

binutils (2.31.1-7ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Oct 2018 20:04:44 +0200

binutils (2.31.1-6ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Sep 2018 13:58:27 +0200

binutils (2.31.1-5ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 31 Aug 2018 12:01:28 +0200

binutils (2.31.1-3ubuntu2) cosmic; urgency=medium

  * Build armel and armhf cross binutils on ppc64el. LP: #1786940.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Aug 2018 18:28:27 +0200

binutils (2.31.1-3ubuntu1) cosmic; urgency=medium


