## binutils 2.32.51.20190707

=== debian/changelog ===
binutils (2.32.51.20190707-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20190707).

 -- Matthias Klose <doko@debian.org>  Sun, 07 Jul 2019 12:20:11 +0200

binutils (2.32.51.20190701-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20190701).

 -- Matthias Klose <doko@debian.org>  Mon, 01 Jul 2019 13:46:05 +0200

binutils (2.32.51.20190624-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20190624).
    - Fix PR ld/24704, skiboot link failure. LP: #1833237.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Jun 2019 07:59:05 +0000

binutils (2.32.51.20190611-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20190611).
  * Simplify setting the soname for the various builds.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Jun 2019 10:48:30 +0200

binutils (2.32-8) experimental; urgency=medium

  * Snapshot, taken from the 2.32 branch (20190424).
    - Fix PR ld/24302 (AArch64): When DF_BIND_NOW don't use TLSDESC GOT value.
    - Fix PR ld/24458 (x86): Also check x86 linker_def for non-shared
      definition.
    - AArch64: Add new LDGM/STGM instruction.
    - AArch64: Update Store Allocation Tag instructions.
    - AArch64: Fix disassembler bug with out-of-order sections.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Apr 2019 09:25:48 +0200
