=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
   g++-aarch64-linux-gnu [amd64 i386 x32] <!nocheck>,
   g++-arm-linux-gnueabi [amd64 arm64 i386 x32] <!nocheck>,
   g++-arm-linux-gnueabihf [amd64 arm64 i386 x32] <!nocheck>,
-#  g++-mips-linux-gnu [amd64 i386 x32] <!nocheck>,
-#  g++-mips64el-linux-gnuabi64 [amd64 i386 x32] <!nocheck>,
-#  g++-mipsel-linux-gnu [amd64 i386 x32] <!nocheck>,
+  g++-mips-linux-gnu [amd64 i386 x32] <!nocheck>,
+  g++-mips64el-linux-gnuabi64 [amd64 i386 x32] <!nocheck>,
+  g++-mipsel-linux-gnu [amd64 i386 x32] <!nocheck>,
   g++-powerpc64le-linux-gnu [amd64 i386 ppc64 x32] <!nocheck>,
   g++-s390x-linux-gnu [amd64 i386 x32] <!nocheck>,
   g++-alpha-linux-gnu [amd64 i386 x32] <!nocheck>,
