=== debian/rules ===
--- 
+++ 
@@ -128,11 +128,11 @@
         CROSS_ARCHS += x32
       endif
     else ifeq ($(DEB_HOST_ARCH),arm64)
-      CROSS_ARCHS = armel armhf amd64 i386 ppc64el riscv64 s390x x32
+      CROSS_ARCHS = armel armhf amd64 i386 x32
     else ifeq ($(DEB_HOST_ARCH),ppc64)
       CROSS_ARCHS = ppc64el
     else ifeq ($(DEB_HOST_ARCH),ppc64el)
-      CROSS_ARCHS = powerpc ppc64 amd64 i386 x32 arm64 armel armhf riscv64 s390x
+      CROSS_ARCHS = powerpc ppc64 amd64 i386 x32 arm64 armel armhf
     else
       CROSS_ARCHS =
     endif
@@ -186,12 +186,12 @@
 HOST_ARCHS_mips = amd64 i386 x32
 HOST_ARCHS_mipsel = amd64 i386 x32
 HOST_ARCHS_powerpc = amd64 i386 x32 ppc64el
-HOST_ARCHS_ppc64el = amd64 i386 x32 ppc64 arm64
-HOST_ARCHS_s390x = amd64 i386 x32 arm64 ppc64el
+HOST_ARCHS_ppc64el = amd64 i386 x32 ppc64
+HOST_ARCHS_s390x = amd64 i386 x32
 HOST_ARCHS_amd64 = arm64 i386 ppc64el x32
 HOST_ARCHS_i386 = amd64 arm64 ppc64el x32
 HOST_ARCHS_ia64 = amd64 i386 x32
-HOST_ARCHS_riscv64 = amd64 i386 x32 arm64 ppc64el
+HOST_ARCHS_riscv64 = amd64 i386 x32
 
 HOST_ARCHS_alpha = amd64 i386 x32
 HOST_ARCHS_hppa = amd64 i386 x32
@@ -243,3 +243,4 @@
   endif
   DPKG_TARGET_VARS := $(shell dpkg-architecture -f -t$(TARGET))
   DEB_TARGET_MULTIARCH = $(call vafilt,$(DPKG_TARGET_VARS),DEB_HOST_MULTIARCH)
+  DEB_TARGET_ARCH      = $(call vafilt,$(DPKG_TARGET_VARS),DEB_HOST_ARCH)
