## binutils 2.32.51.20190727

=== debian/changelog ===
binutils (2.32.51.20190727-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20190727).
    - Fix PR ld/24832. Closes: #932287.
  * Build ppc64el packages on arm64.
  * Build s390x packages on arm64 and ppc64el.
  * Build riscv64 packages on arm64 and ppc64el. Closes: #932398.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Jul 2019 16:58:37 +0200
