## binutils 2.32.51.20190909

=== debian/changelog ===
binutils (2.32.51.20190909-1+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 2.29-4+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 17 Aug 2017 15:41:49 +0000]
  * Disable testsuite, it fails on our lxc based autobuilders.

 -- Raspbian forward porter <root@raspbian.org>  Tue, 17 Sep 2019 14:21:17 +0000

binutils (2.32.51.20190909-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20190909).
  * Build the mipsel and mips64el cross packages from the binutils-mipsen
    source package.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Sep 2019 08:50:20 +0200

binutils (2.32.51.20190821-2) unstable; urgency=medium

  * Drop build dependency on g++-mips-linux-gnu.
  * Stop building mips binutils.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2019 09:49:59 +0200

binutils (2.32.51.20190821-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20190821).
  * Update test dependencies for added ppc64el, riscv64 and s390x builds.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Aug 2019 11:32:58 +0200

binutils (2.32.51.20190813-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20190813).
    - Fix PR ld/24857: ld: error adding symbols: bad value. Closes: #932847.
  * binutils-source: Fix ftbfs when with_native is off (YunQiang Su).
    Closes: #933358.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Aug 2019 16:26:14 +0200
