=== debian/control ===
--- 
+++ 
@@ -10,17 +10,14 @@
   g++-aarch64-linux-gnu [amd64 i386 x32] <!nocheck>,
   g++-arm-linux-gnueabi [amd64 arm64 i386 x32] <!nocheck>,
   g++-arm-linux-gnueabihf [amd64 arm64 i386 x32] <!nocheck>,
-  g++-mips-linux-gnu [amd64 i386 x32] <!nocheck>,
-  g++-mips64el-linux-gnuabi64 [amd64 i386 x32] <!nocheck>,
-  g++-mipsel-linux-gnu [amd64 i386 x32] <!nocheck>,
-  g++-powerpc64le-linux-gnu [amd64 i386 ppc64 x32] <!nocheck>,
-  g++-s390x-linux-gnu [amd64 i386 x32] <!nocheck>,
+  g++-powerpc64le-linux-gnu [amd64 arm64 i386 ppc64 x32] <!nocheck>,
+  g++-s390x-linux-gnu [amd64 arm64 i386 ppc64el x32] <!nocheck>,
   g++-alpha-linux-gnu [amd64 i386 x32] <!nocheck>,
   g++-hppa-linux-gnu [amd64 i386 x32] <!nocheck>,
   g++-m68k-linux-gnu [amd64 i386 x32] <!nocheck>,
   g++-powerpc-linux-gnu [amd64 i386 ppc64el x32] <!nocheck>,
   g++-powerpc64-linux-gnu [amd64 i386 x32] <!nocheck>,
-  g++-riscv64-linux-gnu [amd64 i386 x32] <!nocheck>,
+  g++-riscv64-linux-gnu [amd64 arm64 i386 ppc64el x32] <!nocheck>,
   g++-sh4-linux-gnu [amd64 i386 x32] <!nocheck>,
   g++-sparc64-linux-gnu [amd64 i386 x32] <!nocheck>,
   g++-i686-linux-gnu [amd64 arm64 ppc64el x32] <!nocheck>,
@@ -290,3 +287,7 @@
 Architecture: armhf amd64 i386 x32 arm64 ppc64el
 Multi-Arch: foreign
 Depends: binutils-arm-linux-gnueabihf (= ${binary:Version})
+Description: GNU binary utilities, for arm-linux-gnueabihf target (debug symbols)
+ This package provides debug symbols for binutils-arm-linux-gnueabihf.
+
+Package: binutils-arm-linux-gnueabi
