=== debian/rules ===
--- 
+++ 
@@ -96,7 +96,7 @@
 install_script = install -m 755
 install_binary = install -m 755 -s --strip-program="$(STRIP)"
 
-NATIVE_ARCHS ?= amd64 i386 arm64 armhf armel mips mipsel mips64el \
+NATIVE_ARCHS ?= amd64 i386 arm64 armhf armel mipsel mips64el \
 	ppc64el s390x
 NATIVE_ARCHS += alpha hppa ia64 m68k mips64 powerpc ppc64 \
 	riscv64 sh4 sparc64 x32
@@ -113,7 +113,6 @@
   ifeq (,$(CROSS_ARCHS))
     ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32))
       CROSS_ARCHS =  s390x ppc64el arm64 armhf armel
-      CROSS_ARCHS += mips mipsel mips64el
       CROSS_ARCHS += alpha hppa m68k
       CROSS_ARCHS += powerpc ppc64 sh4 sparc64
       CROSS_ARCHS += ia64 riscv64
@@ -146,7 +145,7 @@
   same_source	=
   ifeq (,$(CROSS_ARCHS))
     ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32 arm64 ppc64el))
-      CROSS_ARCHS = mips64 mipsn32 mipsn32el
+      CROSS_ARCHS = mipsel mips64el mips64 mipsn32 mipsn32el
       CROSS_ARCHS += mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
     else
       CROSS_ARCHS =
@@ -183,7 +182,6 @@
 HOST_ARCHS_armhf = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_armel = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_arm64 = amd64 i386 x32 ppc64el
-HOST_ARCHS_mips = amd64 i386 x32
 HOST_ARCHS_mipsel = amd64 i386 x32
 HOST_ARCHS_powerpc = amd64 i386 x32 ppc64el
 HOST_ARCHS_ppc64el = amd64 i386 x32 ppc64 arm64
@@ -243,3 +241,4 @@
   endif
   DPKG_TARGET_VARS := $(shell dpkg-architecture -f -t$(TARGET))
   DEB_TARGET_MULTIARCH = $(call vafilt,$(DPKG_TARGET_VARS),DEB_HOST_MULTIARCH)
+  DEB_TARGET_ARCH      = $(call vafilt,$(DPKG_TARGET_VARS),DEB_HOST_ARCH)
