## binutils 2.33

=== debian/changelog ===
binutils (2.33-2ubuntu1.2) eoan; urgency=medium

  * Rebuild for the -security pocket

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 19 Dec 2019 12:46:41 +0100

binutils (2.33-2ubuntu1.1) eoan; urgency=medium

  * Cherry-pick from binutils master branch:
    PR25237, set no file contents PT_LOAD p_offset to first page (LP: #1843479)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 13 Dec 2019 16:45:48 +0100

binutils (2.33-2ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build the powerpcspe package.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Oct 2019 10:52:19 +0200

binutils (2.33-2) unstable; urgency=medium

  * Update from the binutils 2.33 branch:
    - Fix PR25079, "ar s" stopped working. Closes: #941921.
    - PowerPC TLS miscounting PLT for __tls_get_addr.
    - PowerPC section flag tidy.
    - PowerPC PIC vs. DLL TLS issues.
    - PR25046, readelf "Reading xxx bytes extends past end of file for dynamic section".
    - PR24262, plugin search dir doesn't respect --libdir.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Oct 2019 10:42:29 +0200

binutils (2.33-1ubuntu1) eoan; urgency=medium

  * Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Oct 2019 12:41:06 +0200

binutils (2.33-1) unstable; urgency=medium

  * Binutils 2.33 release (taken from the binutils-2_33 tag).
  * Update from the binutils 2.33 branch:
    - Fix PR 24942, change objcopy's --set-section-alignment option so that it
      takes a byte alignment value rather than a power of two alignment value.
    - x86-64: fix handling of PUSH/POP of segment register. LP: #1843394.
  * Merge changes from binutils-mipsen.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Oct 2019 11:43:29 +0200

binutils (2.32.90.20190929-0ubuntu2) eoan; urgency=medium

  * Snapshot, taken from the 2.33 branch (20190929).
    - Fix PR25031, nm reports wrong address on 32bit. LP: #1845190.
    - Fix PR25018, readelf crash on 32bits. LP: #1844119.
    - [GOLD] Fix spurious "plugin needed to handle lto object" warnings.
    - GCC 10 related warning fixes.
    - i386: Adjust for new output format from readelf.
  * Include the test logs in the binutils-dev package.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 29 Sep 2019 07:37:06 +0200

binutils (2.32.90.20190917-0ubuntu1) eoan; urgency=medium

  * Snapshot, taken from the 2.33 branch (20190917).

 -- Matthias Klose <doko@debian.org>  Tue, 17 Sep 2019 17:59:16 +0200

binutils (2.32.51.20190905-0ubuntu1) eoan; urgency=medium

  * Snapshot, taken from the trunk (20190905).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 07:15:42 +0200

binutils (2.32.51.20190821-2ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build the powerpcspe package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Aug 2019 14:45:47 +0200

binutils (2.32.51.20190821-1ubuntu1) eoan; urgency=medium

  * Snapshot, taken from the trunk (20190821).

 -- Matthias Klose <doko@debian.org>  Wed, 21 Aug 2019 11:55:56 +0200

binutils (2.32.51.20190813-1ubuntu1) eoan; urgency=medium

  * Snapshot, taken from the trunk (20190813).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Aug 2019 16:57:59 +0200

binutils (2.32.51.20190727-1ubuntu1) eoan; urgency=medium

  * Snapshot, taken from the trunk (20190727).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 27 Jul 2019 17:06:59 +0200

binutils (2.32.51.20190702-1ubuntu1) eoan; urgency=medium

  * Snapshot, taken from the trunk (20190702).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Jul 2019 12:48:46 +0200

binutils (2.32.51.20190702-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20190702).
  * Apply proposed patch for PR ld/24753.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Jul 2019 12:40:43 +0200

binutils (2.32.51.20190701-1ubuntu1) eoan; urgency=medium

  * Snapshot, taken from the trunk (20190701).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Jul 2019 15:09:46 +0200

binutils (2.32.51.20190624-1ubuntu1) eoan; urgency=medium

  * Snapshot, taken from the trunk (20190614).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jun 2019 10:08:28 +0200

binutils (2.32.51.20190614-0ubuntu2) eoan; urgency=medium

  * Snapshot, taken from the trunk (20190614).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Jun 2019 10:47:26 +0200

binutils (2.32.51.20190611-1ubuntu1) eoan; urgency=medium

  * Snapshot, taken from the trunk (20190611).
  * Fix prehistoric changelog garbage. LP: #1827044.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Jun 2019 15:13:05 +0200

binutils (2.32-8ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build the powerpcspe package.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Apr 2019 10:04:39 +0200
