=== debian/rules ===
--- 
+++ 
@@ -96,14 +96,21 @@
 install_script = install -m 755
 install_binary = install -m 755 -s --strip-program="$(STRIP)"
 
-NATIVE_ARCHS ?= amd64 i386 arm64 armhf armel mipsel mips64el \
-	ppc64el s390x
-NATIVE_ARCHS += alpha hppa ia64 m68k mips64 powerpc ppc64 \
+NATIVE_ARCHS ?= amd64 i386 arm64 armhf armel ppc64el s390x
+NATIVE_ARCHS += alpha hppa ia64 m68k powerpc ppc64 \
 	riscv64 sh4 sparc64 x32
 NATIVE_ARCHS += hurd-i386 kfreebsd-amd64 kfreebsd-i386
-NATIVE_ARCHS += mipsn32 mipsn32el
-NATIVE_ARCHS += mipsn32r6 mipsn32r6el mipsr6 mipsr6el mips64r6 mips64r6el
 #NATIVE_ARCHS += nios2 or1k s390 sparc
+
+# don't generate the control file entries for native packages which are never
+# built. Only valid for Ubuntu. The autopkg testers get confused otherwise
+ifneq ($(distribution),Ubuntu)
+  ifeq ($(src_name),binutils-mipsen)
+    NATIVE_ARCHS += mips mipsel mips64 mips64el
+    NATIVE_ARCHS += mipsn32 mipsn32el
+    NATIVE_ARCHS += mipsn32r6 mipsn32r6el mipsr6 mipsr6el mips64r6 mips64r6el
+  endif
+endif
 
 src_name := $(shell dpkg-parsechangelog -S Source)
 ifeq ($(src_name),binutils)
@@ -144,8 +151,8 @@
   with_cross	= yes
   same_source	=
   ifeq (,$(CROSS_ARCHS))
-    ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32 arm64 ppc64el))
-      CROSS_ARCHS = mipsel mips64el mips64 mipsn32 mipsn32el
+    ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32))
+      CROSS_ARCHS = mips mipsel mips64el mips64 mipsn32 mipsn32el
       CROSS_ARCHS += mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
     else
       CROSS_ARCHS =
@@ -182,7 +189,6 @@
 HOST_ARCHS_armhf = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_armel = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_arm64 = amd64 i386 x32 ppc64el
-HOST_ARCHS_mipsel = amd64 i386 x32
 HOST_ARCHS_powerpc = amd64 i386 x32 ppc64el
 HOST_ARCHS_ppc64el = amd64 i386 x32 ppc64 arm64
 HOST_ARCHS_s390x = amd64 i386 x32 arm64 ppc64el
@@ -194,15 +200,17 @@
 HOST_ARCHS_alpha = amd64 i386 x32
 HOST_ARCHS_hppa = amd64 i386 x32
 HOST_ARCHS_m68k = amd64 i386 x32
-HOST_ARCHS_mips64 = amd64 i386 x32
-HOST_ARCHS_mips64el = amd64 i386 x32
 HOST_ARCHS_ppc64 = amd64 i386 x32 ppc64el
 HOST_ARCHS_sh4 = amd64 i386 x32
 HOST_ARCHS_sparc64 = amd64 i386 x32
 HOST_ARCHS_x32 = amd64 arm64 i386 ppc64el
 
+HOST_ARCHS_mips = amd64 i386 x32
+HOST_ARCHS_mipsel = amd64 i386 x32
 HOST_ARCHS_mipsn32 = amd64 i386 x32
 HOST_ARCHS_mipsn32el = amd64 i386 x32
+HOST_ARCHS_mips64 = amd64 i386 x32
+HOST_ARCHS_mips64el = amd64 i386 x32
 
 HOST_ARCHS_mipsr6 = amd64 i386 x32
 HOST_ARCHS_mipsr6el = amd64 i386 x32
@@ -237,8 +245,3 @@
   # and as the target name (e.g. arm-linux-gnu).
   try_convert := $(shell dpkg-architecture -f -a$(TARGET) -qDEB_HOST_GNU_TYPE 2>/dev/null)
   ifneq ($(try_convert),)
-    override TARGET := $(try_convert)
-  endif
-  DPKG_TARGET_VARS := $(shell dpkg-architecture -f -t$(TARGET))
-  DEB_TARGET_MULTIARCH = $(call vafilt,$(DPKG_TARGET_VARS),DEB_HOST_MULTIARCH)
-  DEB_TARGET_ARCH      = $(call vafilt,$(DPKG_TARGET_VARS),DEB_HOST_ARCH)
